summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
Diffstat (limited to 'src')
-rwxr-xr-xsrc/password-store.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/src/password-store.sh b/src/password-store.sh
index e4e622e..4a04fbe 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -223,7 +223,9 @@ case "$command" in
if [[ $clip -eq 0 ]]; then
exec gpg2 -d $GPG_OPTS "$passfile"
else
- clip "$(gpg2 -d $GPG_OPTS "$passfile" | head -n 1)" "$path"
+ pass="$(gpg2 -d $GPG_OPTS "$passfile" | head -n 1)"
+ [[ -n $pass ]] || exit 1
+ clip "$pass" "$path"
fi
fi
;;
opyright years and email addressDmitry Medvinsky1-1/+1 2014-03-24Add `-p` `--path` option completion for `pass init`Dmitry Medvinsky1-0/+1 2014-03-23Use heredoc for unset error.Jason A. Donenfeld1-4/+6 2014-03-23umask: allow overridableJason A. Donenfeld2-1/+4 2014-03-23Heredoc refresh.Jason A. Donenfeld1-43/+45 2014-03-23clip: wait longer for slow systemsJason A. Donenfeld2-2/+2 2014-03-22gpg: allow the use of gpg1 with or without agentJason A. Donenfeld1-10/+15 2014-03-22clip: rename SELECTION to X_SELECTIONJason A. Donenfeld2-6/+6 2014-03-22Version bump ahead of release.Jason A. Donenfeld1-1/+1 2014-03-22Makefile: do not use recursion and organizeJason A. Donenfeld12-9/+7 2014-03-22clip: suppress kill errorJason A. Donenfeld2-3/+3 2014-03-22clip: do not race on osxJason A. Donenfeld1-5/+5 2014-03-22clip: use pkill instead of procJason A. Donenfeld1-1/+1 2014-03-20Keepass import should include root-level entriesErik Mackdanz1-0/+1 2014-03-20keepassx2pass: friendly title fieldPhilip Chase1-1/+24